﻿@model List<ItemMasterView>
<div id="TableItems">
    <table class="table table-striped">
        <thead>
            <tr>
                <th>@ServiceCall.ItemCode</th>
                <th>@ServiceCall.ItemName</th>
                @if (Model.Count > 0)
                {
                    if (Model.FirstOrDefault().MappedUdf.Count > 0)
                    {
                        foreach (var DictRow in Model.FirstOrDefault().MappedUdf)
                        {
                            <th>@DictRow.UDFName</th>
                        }
                    }
                }
                <th>&nbsp;</th>
            </tr>
        </thead>
        <tbody>

            @if (Model != null)
            {
                foreach (ItemMasterView item in Model)
                {
                    <tr>
                        <td>@item.ItemCode  </td>
                        <td>@item.ItemName</td>
                        @if (item.MappedUdf.Count > 0)
                        {
                            foreach (var DictRow in item.MappedUdf)
                            {
                                @*if (DictRow.ListUFD1.Count > 0)
                                    {
                                        <div class="row">
                                            <label class="col-md-2 control-label">@DictRow.UDFName</label>
                                            <div class="col-md-10">
                                                @Html.DropDownList(DictRow.UDFName, new SelectList(
                                                         DictRow.ListUFD1,
                                                            "FldValue",
                                                            "Descr", DictRow.Value), new { @Id = "HEADUDF_" + DictRow.UDFName, @Name = DictRow.UDFName, @class = "form-control" })
                                            </div>
                                        </div>
                                    }
                                    else
                                    {*@
                                <td>@DictRow.Value</td>
                                //}
                            }
                        }
                        <td>
                            <button type="button" class="btn btn-primary btn-xs" onclick="SetItems('@item.ItemCode','@item.ItemName','@item.ItmsGrpCod');"><span class="glyphicon glyphicon-arrow-right"></span> @ServiceCall.Select</button>
                        </td>
                    </tr>
                }
            }
        </tbody>
    </table>
</div>

